catalog:
  title: HRI Pepper Simulator MORSE

templates:
- cmake-cpp
- base

variables:
  description: This is the HRI Simulation based-on MORSE and implements the Pepper robot
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de
  access: private

  repository: https://gitlab.ub.uni-bielefeld.de/pepper-robot-plus/pepper-morse.git
  branches:
  - master

  extra-requires:
  - nature: setuptools
    target: python3-rospkg
    version: 1.0.37
  - nature: setuptools
    target: python3-catkin-pkg
    version: 0.2.10
  - nature: catkin
    target: pepper-plus-sim-bridge
    version: master

  platform-requires:
    ubuntu:
      xenial:
        packages:
        - morse-simulator
        - morse-simulator-data
        - morse-simulator-doc
        - python3-morse-simulator
        - blender
        - python3
        - python3-dev
        - python3-setuptools
        - python3-yaml
        - ros-${ros}-desktop
        - ros-${ros}-teleop-twist-keyboard
        - python3-espeak
        - ros-${ros}-amcl
        - ros-${ros}-gmapping
        - ros-${ros}-map-server
